- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
BcpsVariablePool Class Reference

`#include <BcpsObjectPool.h>`

Inheritance diagram for BcpsVariablePool:
[legend]
Collaboration diagram for BcpsVariablePool:
[legend]

## Public Member Functions
| BcpsVariablePool ()
virtual | ~BcpsVariablePool ()
void | addVariable (BcpsVariable *var)
| Add a variable to pool. More...
void | deleteVariable (int k)
| Delete variable k from pool. More...
int | getNumVariables () const
| Query how many variables are in the pool. More...
const std::vector < AlpsKnowledge * > & | getVariables () const
| Get the vector of variables. More...
AlpsKnowledge * | getVariable (int k) const
| Get the vector of variables. More...
Public Member Functions inherited from BcpsObjectPool
| BcpsObjectPool ()
| Default construct. More...
virtual | ~BcpsObjectPool ()
void | freeGuts ()
| Free object pointers. More...
void | clear ()
| Reset to empty. More...
virtual void | addKnowledge (AlpsKnowledge *nk, double priority)
| Add a knowledge to pool. More...
virtual int | getNumKnowledges () const
| Query how many knowledges are in the pool. More...
virtual std::pair < AlpsKnowledge *, double > | getKnowledge () const
| Query a knowledge, but doesn't remove it from the pool. More...
virtual bool | hasKnowledge () const
| Check whether the pool has knowledge. More...
void | deleteObject (int k)
| Delete object k from pool. More...
const std::vector < AlpsKnowledge * > & | getObjects () const
| Get all objects. More...
AlpsKnowledge * | getObject (int k) const
| Get a object. More...
Public Member Functions inherited from AlpsKnowledgePool
| AlpsKnowledgePool ()
virtual | ~AlpsKnowledgePool ()
virtual void | popKnowledge ()
| Remove the queried knowledge from the pool. More...
virtual void | setMaxNumKnowledges (int num)
| Set the quantity limit of knowledges that can be stored in the pool. More...
virtual int | getMaxNumKnowledges () const
| Query the quantity limit of knowledges. More...
virtual std::pair < AlpsKnowledge *, double > | getBestKnowledge () const
| Query the best knowledge in the pool. More...
virtual void | getAllKnowledges (std::vector< std::pair< AlpsKnowledge *, double > > &kls) const
| Get a reference to all the knowledges in the pool. More...

## Additional Inherited Members
Protected Attributes inherited from BcpsObjectPool
std::vector< AlpsKnowledge * > | objects_

## Detailed Description

Definition at line 127 of file BcpsObjectPool.h.

## Constructor & Destructor Documentation

BcpsVariablePool::BcpsVariablePool | ( |  | ) |
| inline

Definition at line 129 of file BcpsObjectPool.h.

virtual BcpsVariablePool::~BcpsVariablePool | ( |  | ) |
| inline virtual

Definition at line 130 of file BcpsObjectPool.h.

## Member Function Documentation

void BcpsVariablePool::addVariable | ( | BcpsVariable * | var | ) |
| inline

Add a variable to pool.

Definition at line 133 of file BcpsObjectPool.h.

void BcpsVariablePool::deleteVariable | ( | int | k | ) |
| inline

Delete variable k from pool.

Definition at line 136 of file BcpsObjectPool.h.

int BcpsVariablePool::getNumVariables | ( |  | ) | const
| inline

Query how many variables are in the pool.

Definition at line 139 of file BcpsObjectPool.h.

const std::vector<AlpsKnowledge *>& BcpsVariablePool::getVariables | ( |  | ) | const
| inline

Get the vector of variables.

Definition at line 142 of file BcpsObjectPool.h.

AlpsKnowledge* BcpsVariablePool::getVariable | ( | int | k | ) | const
| inline

Get the vector of variables.

Definition at line 145 of file BcpsObjectPool.h.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Bcps/src/BcpsObjectPool.h